## apngasm 2.7

=== Makefile ===
all:
	gcc -std=c99 -Wall -pedantic -O2 -o apngasm apngasm.c -lz -lpng
