=== debian/changelog ===
apngasm (2.7-2) unstable; urgency=medium

  * QA upload.
  * Orphaning package, maintainer not active.
  * Fix typo in description, thanks Pascal De Vuyst (Closes: #732769)
  * Bump Policy Standards-Version to 3.9.8 (no changes needed)
  * Update Vcs-* URLs
  * Use build date for manpage (for reproducible builds).  Thanks Reiner
    Herrmann.  (Closes: #782200)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 26 May 2016 11:36:19 +0100

apngasm (2.7-1) unstable; urgency=low

  * Initial release (Closes: #663415).
  * Use hardened build flags.
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 01 Jun 2013 07:37:05 +0300
