=== debian/control ===
Source: apngasm
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libz-dev, libpng-dev
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/projects/apngasm
Vcs-Git: https://anonscm.debian.org/git/collab-maint/apngasm.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apngasm.git/

Package: apngasm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apng2gif
Description: assemble APNG animation from PNG/TGA image sequence
 Tools to create APNG file from individual PNG files with user
 given delay.
 .
 The Animated Portable Network Graphics (APNG) file format is an
 extension to the Portable Network Graphics (PNG) specification. It
 allows for animated PNG files that work similarly to animated GIF
 files, while retaining backward compatibility with non-animated PNG
 files and adding support for 8-bit transparency and 24-bit images.
