=== debian/watch ===
version=3
opts="filenamemangle=s/-src//" \
  http://sf.net/apngasm/apngasm-(.+)-src\.zip  debian debian/repack.sh
