=== debian/changelog ===
apngasm (2.91-3) unstable; urgency=medium

  * QA upload.
  * Update compat level to 13.
  * Mark autopkgtest as superficial. (Closes: #970946)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 16 Oct 2020 21:29:46 +0100

apngasm (2.91-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Use secure URI in debian/watch.
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Archive, Bug-Database.

  [ Sudip Mukherjee ]
  * Update Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 16 Apr 2020 18:29:12 +0100

apngasm (2.91-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Standards-Version: bumped to 4.4.0 (no changes needed)
      - Switch VCS URLs to salsa.debian.org
  * debian/copyright:
      - Added safe uri (https) to Format.
      - Full updated.
  * debian/patches/010_fix-gcc-flags.patch: created to improve
        GCC flags to hardenig.
  * debian/rules: updated to new upstream source code.
  * debian/tests/control: added to provide a trivial test.
  * debian/upstream/metadata: created.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 16 Sep 2019 21:36:00 -0300
