=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), libz-dev, libpng-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), libz-dev, libpng-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://sourceforge.net/projects/apngasm
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/apngasm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apngasm.git/
+Vcs-Git: https://salsa.debian.org/debian/apngasm.git
+Vcs-Browser: https://salsa.debian.org/debian/apngasm
 
 Package: apngasm
 Architecture: any
