=== debian/rules ===
#!/usr/bin/make -f

include debian/pod2man.mk

PACKAGE = apngasm

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_installman: man
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs readme.txt
