=== debian/tests/control ===
Test-Command: apngasm | grep APNG
Restrictions: superficial
