## apngasm python-1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -77,12 +77,13 @@
     set(ZLIB_ROOT ${VCPKG_INSTALLATION_ROOT}/installed)
     set(PNG_ROOT ${VCPKG_INSTALLATION_ROOT}/installed)
     set(Boost_ROOT ${VCPKG_INSTALLATION_ROOT}/installed)
-    
+
     set(VCPKG_TARGET_TRIPLET ${APNGASM_COMPILE_TARGET}-${PLATFORM})
 
     include_directories(${VCPKG_INSTALLATION_ROOT}/installed/${VCPKG_TARGET_TRIPLET}/include)
     set(LIBZ_PATH ${VCPKG_INSTALLATION_ROOT}/installed/${VCPKG_TARGET_TRIPLET}/lib/${LIBZ_NAME}${STATIC_LIBRARY_SUFFIX})
     set(LIBPNG_PATH ${VCPKG_INSTALLATION_ROOT}/installed/${VCPKG_TARGET_TRIPLET}/lib/${LIBPNG_NAME}${STATIC_LIBRARY_SUFFIX})
+    
     set(CMAKE_TOOLCHAIN_FILE "${VCPKG_INSTALLATION_ROOT}/scripts/buildsystems/vcpkg.cmake"
       CACHE STRING "Vcpkg toolchain file")
 else()
@@ -109,7 +110,7 @@
     endif()
 endif()
 
-project(apngasm-python VERSION 1.0.4)
+project(apngasm-python VERSION 1.0.5)
 set(PY_VERSION_SUFFIX "")
 set(PY_FULL_VERSION ${PROJECT_VERSION}${PY_VERSION_SUFFIX})
