## apngasm python-1.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -110,7 +110,7 @@
     endif()
 endif()
 
-project(apngasm-python VERSION 1.0.5)
+project(apngasm-python VERSION 1.0.6)
 set(PY_VERSION_SUFFIX "")
 set(PY_FULL_VERSION ${PROJECT_VERSION}${PY_VERSION_SUFFIX})
