## apngasm python-1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,10 +55,10 @@
 if (EXISTS ${CONAN_TOOLCHAIN})
     include(${CONAN_TOOLCHAIN})
 else()
-    message(WARNING "The conan_toolchain file could not be found: ${CONAN_TOOLCHAIN}")
+    message(FATAL_ERROR "The conan_toolchain file could not be found: ${CONAN_TOOLCHAIN}")
 endif()
 
-project(apngasm-python VERSION 1.0.7)
+project(apngasm-python VERSION 1.0.8)
 set(PY_VERSION_SUFFIX "")
 set(PY_FULL_VERSION ${PROJECT_VERSION}${PY_VERSION_SUFFIX})
