=== apngasm/cli/CMakeLists.txt ===
--- 
+++ 
@@ -34,9 +34,6 @@
 find_package(Boost REQUIRED COMPONENTS program_options regex system)
 include_directories(${Boost_INCLUDE_DIRS})
 
-find_package(ZLIB REQUIRED)
-include_directories(${ZLIB_INCLUDE_DIRS})
-
 find_package(PNG REQUIRED)
 include_directories(${PNG_INCLUDE_DIRS})
 
@@ -55,7 +52,7 @@
 # Link to built apngasm library
 target_link_libraries(apngasm-cli
   apngasm
-  ${Boost_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARIES}
+  ${Boost_LIBRARIES}
 )
 
 # Installation
