## apngasm python-1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
     message(FATAL_ERROR "The conan_toolchain file could not be found: ${CONAN_TOOLCHAIN}")
 endif()
 
-project(apngasm-python VERSION 1.0.9)
+project(apngasm-python VERSION 1.1.0)
 set(PY_VERSION_SUFFIX "")
 set(PY_FULL_VERSION ${PROJECT_VERSION}${PY_VERSION_SUFFIX})
 
@@ -109,9 +109,9 @@
 
 # Install the module
 install(TARGETS _apngasm_python
-    EXCLUDE_FROM_ALL
-    DESTINATION ${PY_BUILD_CMAKE_MODULE_NAME}
-    COMPONENT python_module)
+        EXCLUDE_FROM_ALL
+        DESTINATION ${PY_BUILD_CMAKE_MODULE_NAME}
+        COMPONENT python_modules)
 
 # Generate stubs for the Python module
 option(WITH_PY_STUBS
