## apngasm python-1.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
     message(FATAL_ERROR "The conan_toolchain file could not be found: ${CONAN_TOOLCHAIN}")
 endif()
 
-project(apngasm-python VERSION 1.2.2)
+project(apngasm-python VERSION 1.2.3)
 set(PY_VERSION_SUFFIX "")
 set(PY_FULL_VERSION ${PROJECT_VERSION}${PY_VERSION_SUFFIX})
