## apngasm python-1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
     message(FATAL_ERROR "The conan_toolchain file could not be found: ${CONAN_TOOLCHAIN}")
 endif()
 
-project(apngasm-python VERSION 1.3.0)
+project(apngasm-python VERSION 1.3.1)
 set(PY_VERSION_SUFFIX "")
 set(PY_FULL_VERSION ${PROJECT_VERSION}${PY_VERSION_SUFFIX})
